Package ghidra.app.util.bin.format.macho.commands

# Class DyldInfoCommandConstants

java.lang.Object
ghidra.app.util.bin.format.macho.commands.DyldInfoCommandConstants

public final class DyldInfoCommandConstants extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `BIND_IMMEDIATE_MASK`
  `static final int`
  `BIND_OPCODE_ADD_ADDR_ULEB`
  `static final int`
  `BIND_OPCODE_DO_BIND`
  `static final int`
  `BIND_OPCODE_DO_BIND_ADD_ADDR_IMM_SCALED`
  `static final int`
  `BIND_OPCODE_DO_BIND_ADD_ADDR_ULEB`
  `static final int`
  `BIND_OPCODE_DO_BIND_ULEB_TIMES_SKIPPING_ULEB`
  `static final int`
  `BIND_OPCODE_DONE`
  `static final int`
  `BIND_OPCODE_MASK`
  `static final int`
  `BIND_OPCODE_SET_ADDEND_SLEB`
  `static final int`
  `BIND_OPCODE_SET_DYLIB_ORDINAL_IMM`
  `static final int`
  `BIND_OPCODE_SET_DYLIB_ORDINAL_ULEB`
  `static final int`
  `BIND_OPCODE_SET_DYLIB_SPECIAL_IMM`
  `static final int`
  `BIND_OPCODE_SET_SEGMENT_AND_OFFSET_ULEB`
  `static final int`
  `BIND_OPCODE_SET_SYMBOL_TRAILING_FLAGS_IMM`
  `static final int`
  `BIND_OPCODE_SET_TYPE_IMM`
  `static final int`
  `BIND_OPCODE_THREADED`
  `static final int`
  `BIND_SPECIAL_DYLIB_FLAT_LOOKUP`
  `static final int`
  `BIND_SPECIAL_DYLIB_MAIN_EXECUTABLE`
  `static final int`
  `BIND_SPECIAL_DYLIB_SELF`
  `static final int`
  `BIND_SPECIAL_DYLIB_WEAK_LOOKUP`
  `static final int`
  `BIND_SUBOPCODE_THREADED_APPLY`
  `static final int`
  `BIND_SUBOPCODE_THREADED_SET_BIND_ORDINAL_TABLE_SIZE_ULEB`
  `static final int`
  `BIND_SYMBOL_FLAGS_NON_WEAK_DEFINITION`
  `static final int`
  `BIND_SYMBOL_FLAGS_WEAK_IMPORT`
  `static final int`
  `BIND_TYPE_POINTER`
  `static final int`
  `BIND_TYPE_TEXT_ABSOLUTE32`
  `static final int`
  `BIND_TYPE_TEXT_PCREL32`
  `static final int`
  `EXPORT_SYMBOL_FLAGS_KIND_ABSOLUTE`
  `static final int`
  `EXPORT_SYMBOL_FLAGS_KIND_MASK`
  `static final int`
  `EXPORT_SYMBOL_FLAGS_KIND_REGULAR`
  `static final int`
  `EXPORT_SYMBOL_FLAGS_KIND_THREAD_LOCAL`
  `static final int`
  `EXPORT_SYMBOL_FLAGS_REEXPORT`
  `static final int`
  `EXPORT_SYMBOL_FLAGS_STUB_AND_RESOLVER`
  `static final int`
  `EXPORT_SYMBOL_FLAGS_WEAK_DEFINITION`
  `static final int`
  `REBASE_IMMEDIATE_MASK`
  `static final int`
  `REBASE_OPCODE_ADD_ADDR_IMM_SCALED`
  `static final int`
  `REBASE_OPCODE_ADD_ADDR_ULEB`
  `static final int`
  `REBASE_OPCODE_DO_REBASE_ADD_ADDR_ULEB`
  `static final int`
  `REBASE_OPCODE_DO_REBASE_IMM_TIMES`
  `static final int`
  `REBASE_OPCODE_DO_REBASE_ULEB_TIMES`
  `static final int`
  `REBASE_OPCODE_DO_REBASE_ULEB_TIMES_SKIPPING_ULEB`
  `static final int`
  `REBASE_OPCODE_DONE`
  `static final int`
  `REBASE_OPCODE_MASK`
  `static final int`
  `REBASE_OPCODE_SET_SEGMENT_AND_OFFSET_ULEB`
  `static final int`
  `REBASE_OPCODE_SET_TYPE_IMM`
  `static final int`
  `REBASE_TYPE_POINTER`
  `static final int`
  `REBASE_TYPE_TEXT_ABSOLUTE32`
  `static final int`
  `REBASE_TYPE_TEXT_PCREL32`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DyldInfoCommandConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### REBASE_TYPE_POINTER

    public static final int REBASE_TYPE_POINTER
    See Also:
      - Constant Field Values

  - ### REBASE_TYPE_TEXT_ABSOLUTE32

    public static final int REBASE_TYPE_TEXT_ABSOLUTE32
    See Also:
      - Constant Field Values

  - ### REBASE_TYPE_TEXT_PCREL32

    public static final int REBASE_TYPE_TEXT_PCREL32
    See Also:
      - Constant Field Values

  - ### REBASE_OPCODE_MASK

    public static final int REBASE_OPCODE_MASK
    See Also:
      - Constant Field Values

  - ### REBASE_IMMEDIATE_MASK

    public static final int REBASE_IMMEDIATE_MASK
    See Also:
      - Constant Field Values

  - ### REBASE_OPCODE_DONE

    public static final int REBASE_OPCODE_DONE
    See Also:
      - Constant Field Values

  - ### REBASE_OPCODE_SET_TYPE_IMM

    public static final int REBASE_OPCODE_SET_TYPE_IMM
    See Also:
      - Constant Field Values

  - ### REBASE_OPCODE_SET_SEGMENT_AND_OFFSET_ULEB

    public static final int REBASE_OPCODE_SET_SEGMENT_AND_OFFSET_ULEB
    See Also:
      - Constant Field Values

  - ### REBASE_OPCODE_ADD_ADDR_ULEB

    public static final int REBASE_OPCODE_ADD_ADDR_ULEB
    See Also:
      - Constant Field Values

  - ### REBASE_OPCODE_ADD_ADDR_IMM_SCALED

    public static final int REBASE_OPCODE_ADD_ADDR_IMM_SCALED
    See Also:
      - Constant Field Values

  - ### REBASE_OPCODE_DO_REBASE_IMM_TIMES

    public static final int REBASE_OPCODE_DO_REBASE_IMM_TIMES
    See Also:
      - Constant Field Values

  - ### REBASE_OPCODE_DO_REBASE_ULEB_TIMES

    public static final int REBASE_OPCODE_DO_REBASE_ULEB_TIMES
    See Also:
      - Constant Field Values

  - ### REBASE_OPCODE_DO_REBASE_ADD_ADDR_ULEB

    public static final int REBASE_OPCODE_DO_REBASE_ADD_ADDR_ULEB
    See Also:
      - Constant Field Values

  - ### REBASE_OPCODE_DO_REBASE_ULEB_TIMES_SKIPPING_ULEB

    public static final int REBASE_OPCODE_DO_REBASE_ULEB_TIMES_SKIPPING_ULEB
    See Also:
      - Constant Field Values

  - ### BIND_TYPE_POINTER

    public static final int BIND_TYPE_POINTER
    See Also:
      - Constant Field Values

  - ### BIND_TYPE_TEXT_ABSOLUTE32

    public static final int BIND_TYPE_TEXT_ABSOLUTE32
    See Also:
      - Constant Field Values

  - ### BIND_TYPE_TEXT_PCREL32

    public static final int BIND_TYPE_TEXT_PCREL32
    See Also:
      - Constant Field Values

  - ### BIND_SPECIAL_DYLIB_SELF

    public static final int BIND_SPECIAL_DYLIB_SELF
    See Also:
      - Constant Field Values

  - ### BIND_SPECIAL_DYLIB_MAIN_EXECUTABLE

    public static final int BIND_SPECIAL_DYLIB_MAIN_EXECUTABLE
    See Also:
      - Constant Field Values

  - ### BIND_SPECIAL_DYLIB_FLAT_LOOKUP

    public static final int BIND_SPECIAL_DYLIB_FLAT_LOOKUP
    See Also:
      - Constant Field Values

  - ### BIND_SPECIAL_DYLIB_WEAK_LOOKUP

    public static final int BIND_SPECIAL_DYLIB_WEAK_LOOKUP
    See Also:
      - Constant Field Values

  - ### BIND_SYMBOL_FLAGS_WEAK_IMPORT

    public static final int BIND_SYMBOL_FLAGS_WEAK_IMPORT
    See Also:
      - Constant Field Values

  - ### BIND_SYMBOL_FLAGS_NON_WEAK_DEFINITION

    public static final int BIND_SYMBOL_FLAGS_NON_WEAK_DEFINITION
    See Also:
      - Constant Field Values

  - ### BIND_OPCODE_MASK

    public static final int BIND_OPCODE_MASK
    See Also:
      - Constant Field Values

  - ### BIND_IMMEDIATE_MASK

    public static final int BIND_IMMEDIATE_MASK
    See Also:
      - Constant Field Values

  - ### BIND_OPCODE_DONE

    public static final int BIND_OPCODE_DONE
    See Also:
      - Constant Field Values

  - ### BIND_OPCODE_SET_DYLIB_ORDINAL_IMM

    public static final int BIND_OPCODE_SET_DYLIB_ORDINAL_IMM
    See Also:
      - Constant Field Values

  - ### BIND_OPCODE_SET_DYLIB_ORDINAL_ULEB

    public static final int BIND_OPCODE_SET_DYLIB_ORDINAL_ULEB
    See Also:
      - Constant Field Values

  - ### BIND_OPCODE_SET_DYLIB_SPECIAL_IMM

    public static final int BIND_OPCODE_SET_DYLIB_SPECIAL_IMM
    See Also:
      - Constant Field Values

  - ### BIND_OPCODE_SET_SYMBOL_TRAILING_FLAGS_IMM

    public static final int BIND_OPCODE_SET_SYMBOL_TRAILING_FLAGS_IMM
    See Also:
      - Constant Field Values

  - ### BIND_OPCODE_SET_TYPE_IMM

    public static final int BIND_OPCODE_SET_TYPE_IMM
    See Also:
      - Constant Field Values

  - ### BIND_OPCODE_SET_ADDEND_SLEB

    public static final int BIND_OPCODE_SET_ADDEND_SLEB
    See Also:
      - Constant Field Values

  - ### BIND_OPCODE_SET_SEGMENT_AND_OFFSET_ULEB

    public static final int BIND_OPCODE_SET_SEGMENT_AND_OFFSET_ULEB
    See Also:
      - Constant Field Values

  - ### BIND_OPCODE_ADD_ADDR_ULEB

    public static final int BIND_OPCODE_ADD_ADDR_ULEB
    See Also:
      - Constant Field Values

  - ### BIND_OPCODE_DO_BIND

    public static final int BIND_OPCODE_DO_BIND
    See Also:
      - Constant Field Values

  - ### BIND_OPCODE_DO_BIND_ADD_ADDR_ULEB

    public static final int BIND_OPCODE_DO_BIND_ADD_ADDR_ULEB
    See Also:
      - Constant Field Values

  - ### BIND_OPCODE_DO_BIND_ADD_ADDR_IMM_SCALED

    public static final int BIND_OPCODE_DO_BIND_ADD_ADDR_IMM_SCALED
    See Also:
      - Constant Field Values

  - ### BIND_OPCODE_DO_BIND_ULEB_TIMES_SKIPPING_ULEB

    public static final int BIND_OPCODE_DO_BIND_ULEB_TIMES_SKIPPING_ULEB
    See Also:
      - Constant Field Values

  - ### BIND_OPCODE_THREADED

    public static final int BIND_OPCODE_THREADED
    See Also:
      - Constant Field Values

  - ### BIND_SUBOPCODE_THREADED_SET_BIND_ORDINAL_TABLE_SIZE_ULEB

    public static final int BIND_SUBOPCODE_THREADED_SET_BIND_ORDINAL_TABLE_SIZE_ULEB
    See Also:
      - Constant Field Values

  - ### BIND_SUBOPCODE_THREADED_APPLY

    public static final int BIND_SUBOPCODE_THREADED_APPLY
    See Also:
      - Constant Field Values

  - ### EXPORT_SYMBOL_FLAGS_KIND_MASK

    public static final int EXPORT_SYMBOL_FLAGS_KIND_MASK
    See Also:
      - Constant Field Values

  - ### EXPORT_SYMBOL_FLAGS_KIND_REGULAR

    public static final int EXPORT_SYMBOL_FLAGS_KIND_REGULAR
    See Also:
      - Constant Field Values

  - ### EXPORT_SYMBOL_FLAGS_KIND_THREAD_LOCAL

    public static final int EXPORT_SYMBOL_FLAGS_KIND_THREAD_LOCAL
    See Also:
      - Constant Field Values

  - ### EXPORT_SYMBOL_FLAGS_KIND_ABSOLUTE

    public static final int EXPORT_SYMBOL_FLAGS_KIND_ABSOLUTE
    See Also:
      - Constant Field Values

  - ### EXPORT_SYMBOL_FLAGS_WEAK_DEFINITION

    public static final int EXPORT_SYMBOL_FLAGS_WEAK_DEFINITION
    See Also:
      - Constant Field Values

  - ### EXPORT_SYMBOL_FLAGS_REEXPORT

    public static final int EXPORT_SYMBOL_FLAGS_REEXPORT
    See Also:
      - Constant Field Values

  - ### EXPORT_SYMBOL_FLAGS_STUB_AND_RESOLVER

    public static final int EXPORT_SYMBOL_FLAGS_STUB_AND_RESOLVER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DyldInfoCommandConstants

    public DyldInfoCommandConstants()